Subject: Re: [RFC/PATCH v1] Add Travis CI support

From: Dennis Kaarsemaker <[email-masked]>
Date: Fri, 25 Sep 2015 05:14:35 +0200

On do, 2015-09-24 at 17:41 -0700, Junio C Hamano wrote:
> [email-masked] writes:
> 
> > My idea is that the owner of "https://github.com/git/git" enables this account
> > for Travis (it's free!). Then we would automatically get the test state for all
> > official branches.
> 
> The last time I heard about this "it's free" thing, I thought I
> heard that it wants write access to the repository.

It does not need write access to the git data, only to auxiliary GitHub
data: commit status and deployment status (where it can put "this
commit failed tests"), repository hooks (to set up build triggers),
team membership (ro) and email addresses (ro).
-- 
Dennis Kaarsemaker
www.kaarsemaker.net